ssStatistic {XDE} | R Documentation

## Calculate single study estimates of effect size

### Description

Calculate single study estimates of effect size for lists of `ExpressionSets`

### Usage

    ssStatistic(statistic = c("t", "sam", "z")[1], phenotypeLabel, esetList, ...)

### Arguments

`statistic` | Character string indicating Welch t-statistic (t), SAM (sam), or a z-statistic (z)
`phenotypeLabel` | Character string indicating the name of the binary covariate
`esetList` | An object of class `ExpressionSetList`
`...` | Not implemented. Potentially additional arguments to the above methods that are implemented in other packages

### Details

This function is a wrapper that provides an estimate of effect size for each study (element) in an `ExpressionSetList` object.

For Welch t-statistic, this function is a wrapper for mt.teststat in the multtest package.

For SAM, this function is a wrapper for the sam function in the siggenes package.

The "z" statistic is a standardized unbiased estimate of effect size (Hedges and Olkin, 1985) – implementation is in the zScores function in the R package GeneMeta.

See the complete references below.

### Value

A matrix: rows are genes and columns are studies

### Author(s)

R. Scharpf

### References

J.K. Choi, U. Yu, S. Kim, and O.J. Yoo (2003), Combining multiple microarray studies and modeling interstudy variation, Bioinformatics, 19(1) I84-I90.

Y. Ge, S. Dudoit & T. P. Speed (2003), Resampling-based multiple testing for microarray data hypothesis Test 12(1) : 1-44 (with discussions on 44-77).

L. Lusa R. Gentleman, and M. Ruschhaupt, GeneMeta: MetaAnalysis for High Throughput Experiments

L.V. Hedges and I. Olkin, Statistical Methods for Meta-analysis (1985), Academic Press

Tusher, Tibshirani and Chu (2001), Significance analysis of microarrays applied to the ionizing radiation response, PNAS 2001 98: 5116-5121, (Apr 24).

### Examples

    data(expressionSetList)
    if(require(multtest)){
      t <- ssStatistic("t", esetList=expressionSetList, phenotypeLabel="adenoVsquamous")
    }

[Package XDE version 1.2.0 Index]